<?php

# TODO: merge this into the main page

if(!isset($_POST["name"]) || !strlen(trim($_POST["name"])) > 0)
  die("You didn't specify an acceptable name.");

if(!isset($_POST["message"]) || !strlen(trim($_POST["message"])) > 0)
  die("You didn't submit an acceptable message.");

if(!isset($_POST["pid"]) || !is_numeric($_POST["pid"]))
  die("I didn't get a parent ID, something is wrong!");

# if we get here, everything should be ok.

require_once("mcdata.php");
require_once("vars.php");

$mysql = new MySQL(Vars::dbhost(), Vars::dbuser(),
                   Vars::dbpass(), Vars::dbname());
$queries = new Queries;

$mysql->connect();

$mysql->query(
  $queries->addPost(
    $_POST["pid"],
    time(),
    TextProc::dbEscape(trim($_POST["name"])),
    TextProc::dbEscape(trim($_POST["message"]))
  )
);

# this seems to be problematic, you might want to change it
header("Location: " . $_SERVER["HTTP_REFERER"]);

?>

